%define major     3
%define libname   %mklibname projectm %{major}
%define develname %mklibname projectm -d

Name:           libprojectm
Version:        3.1.12
Release:        %mkrel 2
Summary:        Visualization library for OpenGL based on Milkdrop
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/projectM-visualizer/projectm
Source0:        https://github.com/projectM-visualizer/projectm/releases/download/v%{version}/projectm-%{version}.tar.xz
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5QuickTest)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
projectM is a reimplementation of Milkdrop under OpenGL.

%package -n     %{libname}
Summary:        Visualization library for OpenGL based on Milkdrop
Group:          System/Libraries
Requires:       %{name}-data >= %{version}
Obsoletes: lib64projectm2
Obsoletes: lib64projectm2-libvisual
Obsoletes: lib64projectm2-qt
Obsoletes: libprojectm-projectM-pulseaudio
Obsoletes: projectm-libvisual-alsa

%description -n %{libname}
projectM is a reimplementation of Milkdrop under OpenGL.


%package        data
Summary:        Visualization library for OpenGL based on Milkdrop
Group:          System/Libraries
Requires:       fonts-ttf-bitstream-vera

%description data
projectM is a reimplementation of Milkdrop under OpenGL. This contains data
files and presets.

%package -n     %{develname}
Summary:        Visualization library for OpenGL based on Milkdrop
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       projectm-devel = %{version}-%{release}

%description -n %{develname}
projectM is a reimplementation of Milkdrop under OpenGL.


%prep
%setup -q -n projectM-%{version}
%apply_patches

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
./configure --prefix=/usr --enable-gles --enable-sdl --enable-threading --enable-qt --libdir=/usr/lib64 --disable-static
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool # Fix overlinking

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

#replace by symlink
ln -sf %{_datadir}/fonts/TTF/{Vera.ttf,VeraMono.ttf} %{buildroot}%{_datadir}/projectM/fonts/

%files data
%{_bindir}/projectM-jack
%{_bindir}/projectM-pulseaudio
%{_bindir}/projectMSDL
%{_bindir}/projectM-unittest
%{_datadir}/projectM/
%{_datadir}/applications/projectM-jack.desktop
%{_datadir}/applications/projectM-pulseaudio.desktop
%{_iconsdir}/hicolor/scalable/apps/projectM.svg
%{_mandir}/man1/projectM-jack.1.*
%{_mandir}/man1/projectM-pulseaudio.1.*

%files -n %{libname}
%{_libdir}/libprojectM.so.%{major}*

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libprojectM
%{_libdir}/libprojectM.so

%changelog
* Fri Feb 09 2023 tex - 0.3.1.12-2pclos2023
- build like arch

* Tue Jan 31 2023 tex - 0 3.1.12-1pclos2023
- new version for new vlc
